.emailSignUp {
}

.field {
  display: inline-flex;
  flex-direction: row;
  max-width: 45rem;
  width: 100%;
  height: 4.25rem;
  border-radius: $sizing-border-radius-large;
  border: 3px solid white;
  background: white;

  @media (max-width: $sizing-breakpoint-m) {
    height: 3.25rem;
  }
}

.fieldLoading {
  opacity: 0.5;
}

.fieldSuccess {
  opacity: 0.8;
}

.input {
  flex: 1;
  border: 0;
  outline: 0;
  font-size: 1.2em;
  padding-left: 1rem;
  padding-right: 1rem;
  color: $color-font-1;

  &[disabled] {
    color: rgba(0, 0, 0, 0.25);
  }

  @media (max-width: $sizing-breakpoint-m) {
    font-size: 1em;
  }
}

.submit {
  width: 10rem;
  padding: 0 0.75rem;
  font-size: 1.25em;
  font-weight: bold;
  line-height: 3.75rem;
  color: $color-font-4;
  user-select: none;
  text-align: center;
  border-radius: $sizing-border-radius-large;
  background: #030910;
  cursor: pointer;

  &:hover {
    opacity: 0.9;
  }

  @media (max-width: $sizing-breakpoint-m) {
    width: auto;
    font-size: 1em;
    line-height: 2.75rem;
  }
}

.submitSuccess {
  opacity: 0.5;
  cursor: not-allowed;

  &:hover {
    opacity: 0.5;
  }
}

.resultMsg {
  margin-top: 0.5rem;
  height: 3rem;
  line-height: 3rem;

  > p {
    margin: 0;
    font-size: 1.25em;
    padding-left: 0.25rem;
  }
}

.failureMsg {
  color: #ff3d3d;
}

.successMsg {
  color: $color-brand-1;
}
